searchData={"items":[{"type":"module","title":"DBF","doc":"Read DBASE files in Elixir.\n\nAt the moment it only supports read.","ref":"DBF.html"},{"type":"module","title":"Usage - DBF","doc":"Open a file with open/1 or open/2\n\n```elixir\n  {:ok, db} = DBF.open(\"test/dbf_files/bayarea_zipcodes.dbf\")\n```\n\nThe resulting DB follows the enumerable protocol, so you can use all the functions in the Enum module.\n\nSo to get all the records of a database you can do:\n\n```elixir\n  db |> Enum.to_list()\n```\n\nThe result will be a tuple ´{status, %{...}}´ with the record status being either :record or :deleted_record.\n\nYou can get specific rows by using the `DBF.get/2` function.\n\n```elixir\n  case DBF.get(db, 2) do\n    {:record, row} -> IO.inspect row\n    {:deleted_record, row} -> IO.inspect row\n    {:error, _} -> IO.puts \"OMG\"\n  end\n```","ref":"DBF.html#module-usage"},{"type":"function","title":"DBF.close/1","doc":"Closes the file access.","ref":"DBF.html#close/1"},{"type":"function","title":"DBF.get/2","doc":"Get a record by number.","ref":"DBF.html#get/2"},{"type":"function","title":"DBF.has_memo_file?/1","doc":"","ref":"DBF.html#has_memo_file?/1"},{"type":"function","title":"DBF.open/2","doc":"Open a DBase database file.","ref":"DBF.html#open/2"},{"type":"function","title":"DBF.open!/2","doc":"Same as `open/2` but throws errors","ref":"DBF.html#open!/2"},{"type":"type","title":"DBF.options/0","doc":"","ref":"DBF.html#t:options/0"},{"type":"module","title":"DBF.Database","doc":"","ref":"DBF.Database.html"},{"type":"function","title":"DBF.Database.open_database/1","doc":"","ref":"DBF.Database.html#open_database/1"},{"type":"type","title":"DBF.Database.t/0","doc":"","ref":"DBF.Database.html#t:t/0"},{"type":"module","title":"DBF.Memo","doc":"","ref":"DBF.Memo.html"},{"type":"function","title":"DBF.Memo.get_block/2","doc":"","ref":"DBF.Memo.html#get_block/2"},{"type":"function","title":"DBF.Memo.open/2","doc":"","ref":"DBF.Memo.html#open/2"},{"type":"type","title":"DBF.Memo.t/0","doc":"","ref":"DBF.Memo.html#t:t/0"},{"type":"exception","title":"DBF.DatabaseError","doc":"","ref":"DBF.DatabaseError.html"},{"type":"type","title":"DBF.DatabaseError.t/0","doc":"","ref":"DBF.DatabaseError.html#t:t/0"}],"content_type":"text/markdown"}